aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: Cannot start aMule after Ubuntu upgrade  (Read 2532 times)

RRM

  • Sr. Member
  • ****
  • Karma: 40
  • Offline Offline
  • Posts: 444
Cannot start aMule after Ubuntu upgrade
« on: May 08, 2010, 07:59:19 PM »

Everything worked perfectly,
until i upgraded Ubuntu.

Code: [Select]
GNU gdb (GDB) 7.1-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/local/stow/amule-opt/bin/amule...done.
(gdb) run
Starting program: /usr/local/stow/amule-opt/bin/amule
/usr/local/stow/amule-opt/bin/amule: error while loading shared libraries: libbfd-2.20.so: cannot open shared object file: No such file or directory

Program exited with code 0177.

Searched for libbfd in synaptic,
but it isnt there.
Anyone knows where i can find it?
Logged

btkaos

  • Global Moderator
  • Sr. Member
  • *****
  • Karma: 110
  • Offline Offline
  • Posts: 486
  • Kaos is infinite!
Re: Cannot start aMule after Ubuntu upgrade
« Reply #1 on: May 08, 2010, 09:53:06 PM »

I guess you have to rebuild aMule.
Logged

RRM

  • Sr. Member
  • ****
  • Karma: 40
  • Offline Offline
  • Posts: 444
Re: Cannot start aMule after Ubuntu upgrade
« Reply #2 on: May 09, 2010, 06:35:20 AM »

Thank you, Bill.
Logged

RRM

  • Sr. Member
  • ****
  • Karma: 40
  • Offline Offline
  • Posts: 444
Re: Cannot start aMule after Ubuntu upgrade
« Reply #3 on: May 09, 2010, 05:57:34 PM »

Yes, it (rev 10125) works perfectly.
Thanks again.
Logged

btkaos

  • Global Moderator
  • Sr. Member
  • *****
  • Karma: 110
  • Offline Offline
  • Posts: 486
  • Kaos is infinite!
Re: Cannot start aMule after Ubuntu upgrade
« Reply #4 on: May 10, 2010, 02:16:21 AM »

You are welcome. When you upgrade your distribution, it is common that libraries get some new version which are not binary-compatible with the previous one.

This can be fixed by recompiling. Anyways, with some changes in aMule's build code we could avoid this particular problem with libbfd.
Logged

GonoszTopi

  • The current man in charge of most things.
  • Administrator
  • Hero Member
  • *****
  • Karma: 165
  • Offline Offline
  • Posts: 2678
Re: Cannot start aMule after Ubuntu upgrade
« Reply #5 on: May 14, 2010, 09:58:18 AM »

Anyways, with some changes in aMule's build code we could avoid this particular problem with libbfd.
What do you think of?
Logged
concordia cum veritate